<?xml version="1.0"?>
<?xml-stylesheet type="text/xsl" href="http://jsbsim.sourceforge.net/JSBSim.xsl"?>

<fdm_config name="hk36-ttc-eco" version="2.0" release="ALPHA"
	    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	    xsi:noNamespaceSchemaLocation="http://jsbsim.sourceforge.net/JSBSim.xsd">
	
	<fileheader>
		<author> Bea Wolf </author>
		<filecreationdate> 24 Mar 2020 </filecreationdate>
		<version>11/2023</version>
		<description> Models a Diamond Aircraft HK36 TTC (Rotax 914 F4) </description>
	</fileheader>
	
<!--
		References:	see Docs/references.md, Model TTC
-->
	
	<metrics file="Systems/hk36-metrics"/>
	<mass_balance file="Systems/hk36-mass_balance"/>
	
	<propulsion>
		
		<engine file="Rotax-914-F4">
			<feed> 1 </feed>
			
			<thruster file="MTV-21-A-C-F">
				<sense> 1 </sense>
				<location unit="M">
					<x>  -1.796 </x>
					<y>   0.00 </y>
					<z>   0.00 </z>
				</location>
				<orient unit="DEG">
					<pitch>     0.00 </pitch>
					<roll>     0.00 </roll>
					<yaw>     0.00 </yaw>
				</orient>
			</thruster>
		</engine>
		
		<!--	Ref. TTC_1	-->
		<!-- Fuel System ( Chapter 7.10 and 6.8 for moments ) -->
		<!--	One fuselage tank -->
		<!--	Fuel type: EN228 Super Benzin (density 0.75kg/l) -->
		<!--	55l capacity per tank, of which 1l are unusable -->
		<tank type="FUEL" number="0">
			<location unit="M">
				<x>  0.727 </x> <!-- from 6.7.4 -->
				<!-- guesses -->
				<y>  0.0 </y>
				<z> -0.1 </z>
			</location>
			<capacity unit="KG"> 41.25 </capacity> <!-- 55*0.75 -->
			<contents unit="KG"> 30 </contents>
			<unusable unit="L"> 1 </unusable>
			<density unit="KG/L"> 0.75 </density>
		</tank>
		
		<!--	Fuel Pressure Regulator	-->
		<tank type="FUEL" number="1">
			<location unit="M">
				<x>  -1.178 </x>
				<y>   0.00 </y>
				<z>   0.00 </z>
			</location>
			<capacity unit="KG"> 0.01 </capacity>
			<contents unit="KG"> 0.0 </contents>
			<unusable unit="L">  0.0 </unusable>
			<density unit="KG/L"> 0.75 </density>
		</tank>
		
	</propulsion>
	
	<ground_reactions file="Systems/hk36-ground_reactions-tricycle"/>
	
	<system file="hk36-fuel.xml"/>
	<system file="hk36-indicators.xml"/>
	<system file="hk36-ecu.xml"/>
	<system file="hk36-effects.xml"/>
	
	<flight_control file="Systems/hk36-fcs.xml"/>
	
	<aerodynamics file="Systems/hk36-aerodynamics"/>
	
	<external_reactions file="Systems/hk36-external_reactions"/>
	
</fdm_config>
